# socat 1.8.1.2 — relay de sockets (C, autotools). Deps openssl+readline. De-Alpinizada: gcc, configure-split.
name    = "socat"
version = "1.8.1.2"
[source]
tarball = "http://www.dest-unreach.org/socat/download/socat-1.8.1.2.tar.gz"
sha256  = "daeb9eed37a99424cd14877208706e93745c91cb86fb917a355635f4df5c8499"
[build]
compiler = "gcc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []
[build.phases]
configure = './configure --build=$CBUILD --host=$CHOST --prefix=/usr CPPFLAGS=-I/usr/include LDFLAGS="-static -no-pie -L/usr/lib"'
compile   = 'make'
install   = 'make DESTDIR=/out install'
[deps]
build = ["openssl", "readline", "ncurses"]
